using System;
using System.Security.Cryptography;

namespace Com.Bocom.OpenApi
{
    namespace Security
    {
        namespace KeyGen
        {
            public class AESKeyGen
            {
                public static string GenAES256Key()
                {
                    AesCryptoServiceProvider key = new AesCryptoServiceProvider();
                    key.KeySize = 256;
                    key.GenerateKey();
                    return Convert.ToBase64String(key.Key);
                }
            }
        }
    }
}